#!/bin/sh
TARFILE="$1"; shift
ARGS=''

INSTALL_SCRIPT='bin/install.pike'

while [ $# != 0 ]
do
    case "$1" in
              -v|\
       --version) echo "Pike v8.0 release 702 Copyright (C) 1994-2018 IDA, Linkping University
Pike comes with ABSOLUTELY NO WARRANTY; This is free software and you
are welcome to redistribute it under certain conditions; Read the
files COPYING and COPYRIGHT in the Pike distribution for more details.
";
		  rm -f PtmP9577c82.x
                  exit 0 ;;

              -h|\
          --help) echo "Usage: $TARFILE [options] [variables]

Options:
  -h, --help            Display this help and exit.
  -v, --version         Display version information and exit.
  --features            Display features and exit.
  --interactive         Interactive installation (default).
  --new-style           Install in <prefix>/pike/<ver>/{lib,include,bin}.
  --traditional         Install in <prefix>/{lib/pike,include/pike,bin}.

Variables:
  prefix=<path>         Install pike files here (/usr/local).
  pike_name=<path>      Create a symlink to pike here (<prefix>/bin/pike).
"
		  rm -f PtmP9577c82.x
                  exit 0 ;;

      --features) echo "auto_bignum
dynamic_modules
threads
out-of-band_data
Bz2
Crypto.AES.GCM
Crypto.ECC.Curve
DVB
Gdbm
Gettext
Gmp
Gz
HTTPAccept
Image.GIF
Image.PNG
Image.TIFF
Image.XFace
MIME
Nettle
PDF.PDFlib
Regexp.PCRE
Regexp.PCRE.Widestring
Standards.JSON
System.Inotify
WhiteFish"
		  rm -f PtmP9577c82.x
                  exit 0 ;;

    --list-files) tar xf "$TARFILE" PtmP9577c82.tar.gz
                  tar tfz PtmP9577c82.tar.gz
                  rm -f PtmP9577c82.x PtmP9577c82.tar.gz
                  exit 0 ;;

              -s|\
        --script) shift
                  INSTALL_SCRIPT="$1" ;;

               *) ARGS="$ARGS '`echo \"$1\" | sed -e \"s/'/'\\\"'\\\"'/g\"`'" ;;
    esac
    shift
done
echo "   Loading installation script, please wait..."
tar xf "$TARFILE" PtmP9577c82.tar.gz
gzip -dc PtmP9577c82.tar.gz | tar xf -
rm -rf PtmP9577c82.tar.gz
( cd 'Pike-v8.0.702-Linux-4.4.159-armv8l.dir'
  eval "build/pike -mmaster.pike -DNOT_INSTALLED \"$INSTALL_SCRIPT\" \
  TMP_LIBDIR=\"build/lib\"\
  LIBDIR_SRC=\"lib\"\
  SRCDIR=\"src\"\
  TMP_BINDIR=\"bin\"\
  TMP_BUILDDIR=\"build\"\
  MANDIR_SRC=\"share/man\"\
  DOCDIR_SRC=\"refdoc\"\
  PIKE_MODULE_RELOC=\"\"\
  $ARGS"
)
rm -rf 'Pike-v8.0.702-Linux-4.4.159-armv8l.dir' PtmP9577c82.x
